<?php
class Database {
    private $host = "localhost";
    private $db_name = "fire_inspection";
    private $username = "root";
    private $password = "";
    public $conn;

    public function getConnection() {
        $this->conn = null;

        try {
            $this->conn = new PDO("mysql:host=" . $this->host . ";dbname=" . $this->db_name . ";charset=utf8", 
                                $this->username, 
                                $this->password);
            $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch(PDOException $exception) {
            echo "Error de conexión: " . $exception->getMessage();
            die();
        }

        return $this->conn;
    }
}

// Función para verificar la conexión
function testConnection() {
    $database = new Database();
    $conn = $database->getConnection();
    
    if ($conn) {
        echo "Conexión exitosa a la base de datos";
        return true;
    } else {
        echo "Error al conectar con la base de datos";
        return false;
    }
}
?>
